package com.wyattjmiller.exam1;

import android.content.Intent;
import android.net.Uri;
import androidx.appcompat.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

class MainActivity extends AppCompatActivity {
    private Intent mIntent;
    private EditText mCelisusEditText;
    private TextView mFahrenheitTextView;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mCelisusEditText = findViewById(R.id.celsiusEditText);
        mFahrenheitTextView = findViewById(R.id.fahrenheitTextView);
    }

    public void onClickWebsite(View view) {
        Uri intentUri = Uri.parse("https://www.metric-conversions.org/temperature/celsius-to-fahrenheit.htm");
        Intent webIntent = new Intent(Intent.ACTION_VIEW, intentUri);
        startActivity(webIntent);
    }

    public void onClickConvert(View view) {
        String celsius = mCelisusEditText.getText().toString();

        if (celsius == "") {
            Toast.makeText(this, "Please enter a number", Toast.LENGTH_LONG).show();
        } else {
            try {
                float c = Float.parseFloat(celsius);
                float convert = (float) (c * 1.8 + 32);
                mFahrenheitTextView.setText(String.format("%s F", convert));
                mFahrenheitTextView.setVisibility(View.VISIBLE);
            } catch (Exception e) {
                Toast.makeText(this, "Please enter a number", Toast.LENGTH_LONG).show();
            }
        }
    }
}
